#ifndef _UI_EVENTS_H
#define _UI_EVENTS_H

#ifdef __cplusplus
extern "C" {
#endif

void MainScreenLoadStartCallback(lv_event_t * e);
void MainScreenLoadedcallback(lv_event_t * e);
void MainScreenUnLoadedCallback(lv_event_t * e);
void MainThirdGearClickPanelClickedCallback(lv_event_t * e);
void MainSetTempMainAddIconPanelClickedcallback(lv_event_t * e);
void MainSetTempMainMinusIconPanelClickedCallback(lv_event_t * e);
void MainScreenOnOffButtonPanelClickedCallback(lv_event_t * e);
void MainScreenModeButtonPanelCallback(lv_event_t * e);
void MainScreenMuneButtonPanelClickedCallback(lv_event_t * e);
void MainTurnOffClickedCancelPanelClickedCallback(lv_event_t * e);
void MainTurnOffClickedConfirmPanelClickedCallback(lv_event_t * e);
void MainScreenOffClickedPanelClickedCallback(lv_event_t * e);
void MainScreenChildLockPasswordBackPanelClickedCallback(lv_event_t * e);
void ChildLockPasswordReturnPanelClickedCallback(lv_event_t * e);
void ChildLockPasswordInputPanelKeyboardReadyCallback(lv_event_t * e);
void ChildLockPasswordInputPanelKeyboardKeyCallback(lv_event_t * e);
void ProductTestTouchPanelClickedCallback(lv_event_t * e);
void MenuScreenLoadStartCallback(lv_event_t * e);
void MenuScreenLoadedCallback(lv_event_t * e);
void MenuScreenUnloadedCallback(lv_event_t * e);
void MenuReturnPanelClickedCallback(lv_event_t * e);
void MenuProgramPanelSwitchClickedCallback(lv_event_t * e);
void MenuProgramPanelSetLableClickedCallback(lv_event_t * e);
void MenuProgramPanelSleepPanelAddMinuPanelClickedCallback(lv_event_t * e);
void MenuProgramPanelSleepPanelConfirmPanelClickedCallback(lv_event_t * e);
void MenuPanelWifiPanelChildPanelClickedCallback(lv_event_t * e);
void MenuPanelUserSetPanelChildPanelClickedCallback(lv_event_t * e);
void ProgramPanelHeatCoolSwitchClickedCallback(lv_event_t * e);
void ProgramWeekDaySelectXPanelClickedCallback(lv_event_t * e);
void ProgramPanelSegPanelClickedCallback(lv_event_t * e);
void ProgramPanelCopy_ResetPanelClickedCallback(lv_event_t * e);
void ProgramCopyBackPanelClickedCallback(lv_event_t * e);
void ProgramCopyPanelSegXPanelClickedCallback(lv_event_t * e);
void ProgramCopyBackPanelCancelConfirmPanelClickedCallback(lv_event_t * e);
void ProgramResetBackPanelClickedCallback(lv_event_t * e);
void ProgramResetPanelClickedCallback(lv_event_t * e);
void ProgramSetPanelReturnPanelClickedCallback(lv_event_t * e);
void ProgramSetPanelTimePanelTimePanelSetCallback(lv_event_t * e);
void ProgramSetPanelTempPanelSetCallback(lv_event_t * e);
void ProgramScheduleWeekDaySelectXPanelClickedCallback(lv_event_t * e);
void ProgramScheduleWeekDaySegXPanelChildPanelClickedCallback(lv_event_t * e);
void ProgramScheduleWeekDaySegXPanelChildPanelSwitchClickedCallback(lv_event_t * e);
void ProgramSchedulePanelCopy_ResetPanelClickedCallback(lv_event_t * e);
void ProgramScheduleCopyBackPanelClickedCallback(lv_event_t * e);
void ProgramScheduleCopyPanelSegXPanelClickedCallback(lv_event_t * e);
void ProgramScheduleCopyBackPanelCancelConfirmPanelClickedCallback(lv_event_t * e);
void ProgramScheduleResetBackPanelCallback(lv_event_t * e);
void ProgramScheduleResetPanelClickedCallback(lv_event_t * e);
void ProgramScheduleSetPanelReturnPanelClickedCallback(lv_event_t * e);
void ProgramScheduleSetPanelTimePanelTimePanelSetCallback(lv_event_t * e);
void ProgramScheduleSetPanelTempPanelSetCallback(lv_event_t * e);
void UserSettingSreenLoadStartCallback(lv_event_t * e);
void UserSettingSreenLoadedCallback(lv_event_t * e);
void UserSettingSreenUnloadedCallback(lv_event_t * e);
void UserSettingPanelReturnPanelClickedCallback(lv_event_t * e);
void UserSettingPanel1PanelChildPanelAdjustPanelClickedCallback(lv_event_t * e);
void UserSettingPanel2PanelChildPanelAdjustPanelClickedCallback(lv_event_t * e);
void UserSettingPanel3PanelChildPanelSwitchClickedCallback(lv_event_t * e);
void UserSettingPanel4PanelChildPanelClickedCallback(lv_event_t * e);
void UserSettingPanel5PanelChildPanelClickedCallback(lv_event_t * e);
void DataAndTimePanelReturnPanelClickedCallback(lv_event_t * e);
void Hours24PanelChildPanelSwitchClickedCallback(lv_event_t * e);
void NetworkSynchronizationPanelChildPanelSwitchClicked(lv_event_t * e);
void TimeSettingPanelClickedCallback(lv_event_t * e);
void TimeSettingPanelChildPanelClickedCallback(lv_event_t * e);
void TimeSettingPanelChildPanelRightIconPanelClickedCallback(lv_event_t * e);
void TimeSettingPanelChildPanelTickIconPanelClickedCallback(lv_event_t * e);
void TimeSettingParamPanelYearRollerValueChangeCallback(lv_event_t * e);
void TimeSettingParamPanelMonthRollerValueChangeCallback(lv_event_t * e);
void TimeSettingParamPanelDayRollerValueChangeCallback(lv_event_t * e);
void TimeSettingParamPanelHourRollerValueChangeCallback(lv_event_t * e);
void TimeSettingParamPanelMinuteRollerValueChangeCallback(lv_event_t * e);
void EngineerPasswordBackPanelClickedCallback(lv_event_t * e);
void EngineerPasswordReturnPanelClickedCallback(lv_event_t * e);
void EngineerPasswordInputPanelKeyboardReadyCallback(lv_event_t * e);
void EngineerPasswordInputPanelKeyboardClickedCallback(lv_event_t * e);
void EngineerSettingScreenLoadStartCallback(lv_event_t * e);
void EngineerSettingScreenLoadedCallback(lv_event_t * e);
void EngineerSettingScreenUnloadedCallback(lv_event_t * e);
void EngineerSettingPanelReturnPanelClickedCallback(lv_event_t * e);
void EngineerSettingPanelSegXPanelChildPanelActPanelClickedCallback(lv_event_t * e);
void EngineerSettingPanelSegXPanelChildPanelSwitchClickedCallback(lv_event_t * e);
void EngineerSettingPanelPreNextPanelClickedCallback(lv_event_t * e);
void InWifiMatch(lv_event_t * e);
void OutWifiMatch(lv_event_t * e);
void WifiMatchReturnButtonPanelCallback(lv_event_t * e);
void StartRestartCancelWifiMatch(lv_event_t * e);
void WifiMatchMatchModePanelReturnButtonPanelCallback(lv_event_t * e);
void TurnWifiMatch(lv_event_t * e);
void WifiMatchApModeButtonPanelClickedCallback(lv_event_t * e);
void WifiMatchPromptButtonPanelClickedCallback(lv_event_t * e);
void InProductTest(lv_event_t * e);
void OutProductTest(lv_event_t * e);
void TurnProductTest(lv_event_t * e);
void RegulateProductTest(lv_event_t * e);
void TurnProductTestBackground(lv_event_t * e);

#ifdef __cplusplus
} /*extern "C"*/
#endif

#endif
